# OpenLayers.Layer.SphericalMercator

A mixin for layers that wraps up the pieces neccesary to have a coordinate conversion for working with commercial APIs which use a spherical mercator projection. Using this layer as a base layer, additional layers can be used as overlays if they are in the same projection.

A layer is given properties of this object by setting the sphericalMercator property to true.

#### More projection information

- http://spatialreference.org/ref/user/google-projection/

#### Proj4 Text

+proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +no_defs

#### WKT

900913=PROJCS[“WGS84 / Simple Mercator”, GEOGCS[“WGS 84”, DATUM[“WGS_1984”, SPHEROID[“WGS_1984”, 6378137.0, 298.257223563]], PRIMEM[“Greenwich”, 0.0], UNIT[“degree”, 0.017453292519943295], AXIS[“Longitude”, EAST], AXIS[“Latitude”, NORTH]], PROJECTION[“Mercator_1SP_Google”], PARAMETER[“latitude_of_origin”, 0.0], PARAMETER[“central_meridian”, 0.0], PARAMETER[“scale_factor”, 1.0], PARAMETER[“false_easting”, 0.0], PARAMETER[“false_northing”, 0.0], UNIT[“m”, 1.0], AXIS[“x”, EAST], AXIS[“y”, NORTH], AUTHORITY[“EPSG”,”900913”]]

Summary

OpenLayers.Layer.SphericalMercator | A mixin for layers that wraps up the pieces neccesary to have a coordinate conversion for working with commercial APIs which use a spherical mercator projection.
Functions |
forwardMercator | Given a lon,lat in EPSG:4326, return a point in Spherical Mercator.
inverseMercator | Given a x,y in Spherical Mercator, return a point in EPSG:4326.

### Functions

### forwardMercator

> forwardMercator: function( | lon,
> | lat | )

Given a lon,lat in EPSG:4326, return a point in Spherical Mercator.

#### Parameters

lon | {float}
lat | {float}

#### Returns

{OpenLayers.LonLat} The coordinates transformed to Mercator.

### inverseMercator

> inverseMercator: function( | x,
> | y | )

Given a x,y in Spherical Mercator, return a point in EPSG:4326.

#### Parameters

x | {float} A map x in Spherical Mercator.
y | {float} A map y in Spherical Mercator.

#### Returns

{OpenLayers.LonLat} The coordinates transformed to EPSG:4326.

> forwardMercator: function( | lon,
> | lat | )

Given a lon,lat in EPSG:4326, return a point in Spherical Mercator.

> inverseMercator: function( | x,
> | y | )

Given a x,y in Spherical Mercator, return a point in EPSG:4326.
This class represents a longitude and latitude pair
Close